FSEEKO(3)

NAME
fseeko, ftello - seek to or report file position

SYNOPSIS
#include <stdio.h>

int fseeko(FILE *stream, off_t offset, int whence);

off_t ftello(FILE *stream);

DESCRIPTION
The fseeko() and ftello() functions are identical to fseek(3) and ftell(3) (see fseek(3)), respectively, except that the offset argument of fseeko() and the return value of ftello() is of type off_t instead of long.

On many architectures both off_t and long are 32-bit types, but compilation with
    #define _FILE_OFFSET_BITS 64

will turn off_t into a 64-bit type.

RETURN VALUE
On successful completion, fseeko() returns 0, while ftello() returns the current offset. Otherwise, -1 is returned and errno is set to indicate the error.

ERRORS
See the ERRORS in fseek(3).

CONFORMING TO
SUSv2, POSIX.1-2001.

NOTES
These functions are found on System V-like systems. They are not present in libc4, libc5, glibc 2.0 but are available since glibc 2.1.

SEE ALSO
fseek(3)

COLOPHON
This page is part of release 3.41 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.